petsc-3.10.3 2018-12-18
Report Typos and Errors

# DMNetworkLayoutSetUp

Sets up the bare layout (graph) for the network

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkLayoutSetUp(DM dm)

Collective on DM

Input Parameters

DM -the dmnetwork object

### Notes

This routine should be called after the network sizes and edgelists have been provided. It creates the bare layout of the network and sets up the network to begin insertion of components.

All the components should be registered before calling this routine.

### See Also

DMNetworkSetSizes, DMNetworkSetEdgeList

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages